Request workflow action
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidIdempotency-Key*Idempotency-KeyLength
8 <= length <= 255application/json- body
authorization_id*Authorization IdFormat
uuidcapability*CapabilityValue in
"ticket_creation""ownership_routing""policy_exception"description?|nullexpires_at?|nullowner_id?|nullreason?|nullsummary?|nulltarget_id*Target IdFormat
uuidtarget_type?Target TypeDefault
"finding"Successful Response
application/json- response
approved_at*|nullapproved_by*|nullattempts*Attemptsauthorization_id*Authorization IdFormat
uuidcapability*CapabilityValue in
"ticket_creation""ownership_routing""policy_exception"created_at*Created AtFormat
date-timedecision_reason*string|nullerror_code*string|nullexecuted_at*|nullexternal_id*string|nullexternal_url*string|nullid*IdFormat
uuidrequest_payload*requested_by*Requested ByFormat
uuidstatus*Statustarget_id*Target IdFormat
uuidtarget_type*Target Typeworkspace_id*Workspace IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/workflow-actions' \ -H 'Idempotency-Key: stringst' \ -H 'Content-Type: application/json' \ -d '{ "authorization_id": "be63c26c-03c0-4635-ae2b-58f14bd033f9", "capability": "ticket_creation", "target_id": "d3bcdc92-4191-401b-ad0c-42056c6efab9"}'Example Response
{ "approved_at": "2019-08-24T14:15:22Z", "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d", "attempts": 0, "authorization_id": "be63c26c-03c0-4635-ae2b-58f14bd033f9", "capability": "ticket_creation", "created_at": "2019-08-24T14:15:22Z", "decision_reason": "string", "error_code": "string", "executed_at": "2019-08-24T14:15:22Z", "external_id": "string", "external_url": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "request_payload": {}, "requested_by": "cda0f200-65cd-4343-aedd-9c936b908826", "status": "string", "target_id": "d3bcdc92-4191-401b-ad0c-42056c6efab9", "target_type": "finding", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}